<ng4-loading-spinner  [loadingText]="'Please wait...'"> </ng4-loading-spinner>

<div class="container">
  <div class="row card">
    <div class="card-header">
      <i class="icon-map"></i>Secondary Asset Assignment
    </div>
    <div class="col-xs-12 col-sm-10 col-md-8 col-sm-offset-1 col-md-offset-2 card-body">
      <form [formGroup]="secAssignForm" (ngSubmit)="onSubmit()">
        
        <div class="form-group">
          <label for="from">From<sup class="req">*</sup></label>
          <select
            formControlName="from"
            class="form-control"
            readonly="readonly">
            <option value="L9999499864">Lithion Power LSP</option>
          </select>
        </div>
        
        <div class="form-group">
          <label for="toLsp">LSP<sup class="req">*</sup></label>
          <select
            formControlName="toLsp"
            class="form-control"
            >
            <option value="-1">Click to select LSP</option>
            <option *ngFor="let lsp of lspList" value="{{ lsp.lspId }}">{{ lsp.name }}</option>
          </select>
           <div *ngIf="secAssignForm.get('toLsp').invalid && secAssignForm.get('toLsp').touched"
              class="alert alert-danger">

              <div *ngIf="secAssignForm.get('toLsp').errors.min">
                Please select one option.
              </div>
              
            </div>
        </div>

        <div class="form-group">
          <label for="battery">Battery<sup class="req">*</sup></label>
          <angular2-multiselect [data]="dropdownList"  
                                [(ngModel)]="selectedItems" 
                                [settings]="dropdownSettings" 
                                formControlName="battery">
           </angular2-multiselect>
        </div>

        <div class="form-group">
          <div *ngIf="selectedItems.length > 0"
            class="form-control">
            <ul>
              <li *ngFor="let item of selectedItems;let i = index">
                 <span class="badge" style="color:black">
                    Battery Number - {{i+1}}:&nbsp;&nbsp;&nbsp;{{ item.batteryPackId }}
                    ( DataLogger- {{ item.dataLogger }},&nbsp; Bms- {{ item.bms }} )
                  </span> 
              </li>
            </ul>
          </div>
        </div>

        <span 
              *ngIf="!secAssignForm.valid && secAssignForm.touched"
              class="help-block">Please fill all the required fields</span><br>
              <br *ngIf="!secAssignForm.valid && secAssignForm.touched">
        <button 
           class="btn btn-primary"
           type="submit"
           [disabled]="secAssignForm.invalid">Submit</button><br><br><br>
      </form>
    </div>
  </div>
</div>

